Bug 42363 - Request to get the commit access in gstreamer: Sreerenj Balachandran
Summary: Request to get the commit access in gstreamer: Sreerenj Balachandran
Status: RESOLVED WONTFIX
Alias: None
Product: gstreamer
Classification: Unclassified
Component: account (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Tim Müller
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-29 03:49 UTC by sreerenj
Modified: 2013-03-31 11:28 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
ssh key (414 bytes, application/octet-stream)
2011-10-29 03:49 UTC, sreerenj
Details
gpg key (1.69 KB, application/octet-stream)
2011-10-29 03:51 UTC, sreerenj
Details

Description sreerenj 2011-10-29 03:49:28 UTC
Created attachment 52881 [details]
ssh key

Name: Sreerenj Balachandran
Email: bsreerenj@gmail.com
Prefered Account name: sree (already have an account in fdo with name sree)
Comment 1 sreerenj 2011-10-29 03:51:12 UTC
Created attachment 52882 [details]
gpg key
Comment 2 sreerenj 2011-10-29 04:01:42 UTC
I have been working with gstreamer for last 2 years and having patches to gstreamer,plugins-base,plugins-bad,gst-rtsp-server...But Mainly working with plugins (opencv, codecparsers(h264,vc1,mpeg4 and mpeg2)) in gst-plugins-bad...
Comment 3 Tim Müller 2011-11-17 06:38:04 UTC
Hi, 

I've had a look at your contributions, and my impression is that you haven't really contributed enough non-trivial patches over a long-enough period of time to warrant a git developer account at this time. Most of your contributions seem to be rather small/trivial, and the overall volume is still fairly manageable. You're also not really actively involved on a regular basis in the community on IRC and only sporadically on the mailing lists, as far as I can tell. And there's no other overriding reasons like maintainership of a particular module that would require an account as far as I can tell. So for now I'm leaning towards closing this account request.

However, I notice that your patch contributions have been getting more frequently recently, so maybe the situation is different in 6-12 months time. Feel free to re-open the bug then :)

It's also entirely possible that my grepping skills have failed me and I have missed major contributions by you. If so, please provide a list (links to cgit.freedesktop.org/bugzilla) and re-open the bug, thanks!
Comment 4 sreerenj 2011-11-17 10:14:39 UTC
Hi Tim,

I don't know whether it is the correct time to ask for commit access.. :) Actually i had few things in my mind,

Itz bit difficult to create separate bugs for all trivial patches like "dead code removal", "adding/correcting doc", "typo fix" etc.. Nowadays I am finding lots of such cases mainly in gst-plugins-bad..Since we don't have git-send-email approach, I thought of requesting for the permission.
Also having a bunch of patches to the newly implemented bitstream parsers  (which i am working with Thibalute) + vaapi  integration (which we will integrate soon)...But in this case i can create a branch somewhere i think...
And for wayland sink it has been there in bugzilla for last few months...And i have few updations also...

Anyway I am adding some links as you mentioned in the comment,

1 Had  2 plugins implementations for upstream.(Because of leagal stuffs ;))

  a. Waylandvideosink : https://bugzilla.gnome.org/show_bug.cgi?id=655719
  b. OpenCV text overlay: http://cgit.freedesktop.org/gstreamer/gst-plugins-bad/commit/?id=fa8210fe94b83bb9db0e7934b60160f846c713a1	

2.Patch list

  gst-plugins-bad:  http://cgit.freedesktop.org/gstreamer/gst-plugins-bad/log/?qt=author&q=sreerenj
  gst-plugins-base: http://cgit.freedesktop.org/gstreamer/gst-plugins-base/log/?qt=author&q=sreerenj
  gstreamer:        http://cgit.freedesktop.org/gstreamer/gstreamer/log/?qt=author&q=sreerenj
  gst-rtsp-server:  http://cgit.freedesktop.org/gstreamer/gst-rtsp-server/log/?qt=author&q=sreerenj     

3.https://www.ohloh.net/accounts/sreerenj

Of course,having significant patches only to gst-plugins-bad :) So i am not going to annoy you...
Comment 5 sreerenj 2011-11-17 10:23:14 UTC
+ one more thing,

It is taking a bit long time to get the patches in upstream sometimes... 
Of course I know all maintainers may busy, so please don't take it as a complaint. :)
Comment 6 sreerenj 2011-11-17 10:31:34 UTC
(In reply to comment #3)
> If so, please provide a list (links to
> cgit.freedesktop.org/bugzilla) and re-open the bug, thanks!

You mean, to change the status to REOPEN?
okay, changing the status to re-open,,just close it if that was not the option you mentioned ... :)
Comment 7 sreerenj 2012-08-21 07:13:28 UTC
(In reply to comment #6)
> (In reply to comment #3)
> > If so, please provide a list (links to
> > cgit.freedesktop.org/bugzilla) and re-open the bug, thanks!
> 
> You mean, to change the status to REOPEN?
> okay, changing the status to re-open,,just close it if that was not the option
> you mentioned ... :)

Hi Tim,

Could you please check the status?

Adding few more links:

--gstreamer-vaapi : basedecoder porting 

https://gitorious.org/~sreerenj/vaapi/sree-gstreamer-vaapi/commits/0.10_basevideodec

--gstreamer-vaapi : 1.0 porting (not stable)
  https://gitorious.org/~sreerenj/vaapi/sree-gstreamer-vaapi/commits/1.0_basevideodec

--gstreamer-vaapi: wayland support (merged to master)
https://gitorious.org/~sreerenj/vaapi/sree-gstreamer-vaapi/commits/wayland-devel
Comment 8 sreerenj 2012-08-21 07:20:45 UTC
(In reply to comment #7)
> (In reply to comment #6)
> > (In reply to comment #3)
> > > If so, please provide a list (links to
> > > cgit.freedesktop.org/bugzilla) and re-open the bug, thanks!
> > 
> > You mean, to change the status to REOPEN?
> > okay, changing the status to re-open,,just close it if that was not the option
> > you mentioned ... :)
> 
> Hi Tim,
> 
> Could you please check the status?
> 
> Adding few more links:
> 
> --gstreamer-vaapi : basedecoder porting 
> 
> https://gitorious.org/~sreerenj/vaapi/sree-gstreamer-vaapi/commits/0.10_basevideodec
> 
> --gstreamer-vaapi : 1.0 porting (not stable)
>  
> https://gitorious.org/~sreerenj/vaapi/sree-gstreamer-vaapi/commits/1.0_basevideodec
> 
> --gstreamer-vaapi: wayland support (merged to master)
> https://gitorious.org/~sreerenj/vaapi/sree-gstreamer-vaapi/commits/wayland-devel

also few minor patches here:

gst-plugins-good:
http://cgit.freedesktop.org/gstreamer/gst-plugins-good/log/?qt=author&q=sreerenj

gst-plugins-ugly:
http://cgit.freedesktop.org/gstreamer/gst-plugins-ugly/log/?qt=author&q=sreerenj

The Google summer of code project  i am mentoring has been updating in the following repo:
https://github.com/yandol/GstHanddetect
Comment 9 sreerenj 2013-03-30 21:30:09 UTC
Hi Tim,
Could you please comment on this?

Other than the links I provided above, around 15 of my patches are hanging in bugzilla for review at the moment.
Comment 10 Tim Müller 2013-03-31 10:12:15 UTC
Hi Sreerenj, thanks for all your work recently, it really is appreciated, but as far as I can tell there's a general consensus that most if not all of your work still needs extensive review.

Many of your patches are adding API, so reviewing them will be more involved than random implementation fixes, especially where important things like stereoscopic video signalling is concerned. (This is not something that only you are affected by, but core developers too btw).
Comment 11 sreerenj 2013-03-31 11:03:23 UTC
hmm,,thats bad!! Anyway I had no intention to push the API patches since I am well aware that they need review. But I was thinking of pushing the smaller ones with out creating a new bug report (which is bit annoying for me in these days)  since most of them are rather small which doesn't require any review IMHO.
Comment 12 Tim Müller 2013-03-31 11:28:14 UTC
Gwenole should be able to push those as well.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.